Previous: Control port resources, Up: Control port settings [Contents][Index]

#### 6.6.4 Control port command-line options

`-controlport1device <device>`

  Set the device attached to: control port 1 (x64, x64sc, x64dtv, xscpu, x128, xcbm5x0, xplus4) control port (xvic) (`JoyPort1Device`). (x64, x64sc, xscpu, x128, xcbm5x0, xvic: 0: None, 1: Joystick, 2: Paddles, 3: Mouse (1351), 4: Mouse (NEOS), 5: Mouse (Amiga), 6: Mouse (CX-22), 7: Mouse (Atari ST), 8: Mouse (SmartMouse), 9: Mouse (Micromys), 10: KoalaPad, 11: Light Pen (up trigger), 12: Light Pen (left trigger), 13: Datel Light Pen, 14: Magnum Light Phaser, 15: Stack Light Rifle, 16: Inkwell Light Pen, 17: Sampler (2bit)) (x64dtv, xplus4: 0: None, 1: Joystick, 6: Mouse (CX-22), 17: Sampler (2bit))

`-controlport2device <device>`

  Set the device attached to: control port 2 (x64, x64sc, x64dtv, xscpu, x128, xcbm5x0, xplus4) (`JoyPort2Device`). (x64, x64sc, xscpu, x128, xcbm5x0: 0: None, 1: Joystick, 2: Paddles, 3: Mouse (1351), 4: Mouse (NEOS), 5: Mouse (Amiga), 6: Mouse (CX-22), 7: Mouse (Atari ST), 8: Mouse (SmartMouse), 9: Mouse (Micromys), 10: KoalaPad, 17: Sampler (2bit)) (x64dtv, xplus4: 0: None, 1: Joystick, 6: Mouse (CX-22), 17: Sampler (2bit))

`-controlport3device <device>`

  Set the device attached to: userport joystick adapter port 1 (x64, x64sc, xscpu, x128, xcbm2, xpet, xvic) userport joystick adapter port (x64dtv) sidcart control port (xplus4) (`JoyPort3Device`). (x64, x64sc, x64dtv, xscpu, x128, xcbm2, xpet, xvic: 0: None, 1: Joystick, 6: Mouse (CX-22), 17: Sampler (2bit)) (xplus4: 0: None, 1: Joystick, 2: Paddles, 3: Mouse (1351), 4: Mouse (NEOS), 5: Mouse (Amiga), 6: Mouse (CX-22), 7: Mouse (Atari ST), 8: Mouse (SmartMouse), 9: Mouse (Micromys), 10: KoalaPad, 17: Sampler (2bit))

`-controlport4device <device>`

  Set the device attached to: userport joystick adapter port 2 (x64, x64sc, xscpu, x128, xcbm2, xpet, xvic) (`JoyPort4Device`). (x64, x64sc, xscpu, x128, xcbm2, xpet, xvic: 0: None, 1: Joystick, 6: Mouse (CX-22), 17: Sampler (2bit))

`-controlport5device <device>`

  Set the device attached to: SID cart joystick port (xplus4) (`JoyPort5Device`). (xplus4: 0: None, 1: Joystick, 2: Paddles, 3: Mouse (1351), 4: Mouse (NEOS), 5: Mouse (Amiga), 6: Mouse (CX-22), 7: Mouse (Atari ST), 8: Mouse (SmartMouse), 9: Mouse (Micromys), 10: KoalaPad, 17: Sampler (2bit), 18: Sampler (4bit), 19: BBRTC, 20: Paperclip64 dongle, 21: Coplin Keypad, 22: Cardco Cardkey 1 keypad, 23: Atari CX85 keypad, 24: RushWare Keypad, 25: Atari CX21 keypad)

`-bbrtcsave`
`+bbrtcsave`

  Enable/Disable saving of the battery-backed real time clock data (`BBRTCSave`).

### 6.7 Joystick settings

#### 6.7.1 Joystick resources

`JoyDevice1`
`JoyDevice2`
`JoyDevice3`
`JoyDevice4`
`JoyDevice5`

  Integer specifying which joystick device the emulator should use for joystick emulation for ports 1 - 5, respectively. (0=None, 1=Joystick 1, 2=Joystick 2, 4=Numpad, 8=Keyset 1, 16=Keyset 2 on OS/2) (0=None, 1=Numpad, 2=Keyset 1, 3=Keyset 2, 4=HID joystick 0, 5=HID joystick 1 on Mac OS X) The available joysticks might differ depending on operating system and joystick support in the OS (Linux joystick module must be available for example).

`JoyOpposite`

  Boolean, if true allow (usually impossible) bitcombinations for opposite directions. (all emulators except vsid)

`UserportJoy`

  Boolean to enable/disable extra joysticks (all emulators except xcbm5x0 and vsid).

`UserportJoyType`

  Integer specifying the type of adapter used for the extra joysticks (all emulators except xcbm5x0 and vsid). (0: Classical Games/Protovision, 1: PET, 2: Hummer, 3: OEM, 4: Digital Excess/Hitmen, 5: Kingsoft, 6: Starbyte) 4, 5 and 6 are x64, x64sc, xscpu64 and x128 only.

`Mouse`

  Boolean, enables mouse emulation

`SmartMouseRTCSave`

  Boolean, specified whether to save real time clock data for the SmartMouse

`KeySet1NorthWest`
`KeySet1North`
`KeySet1NorthEast`
`KeySet1East`
`KeySet1SouthEast`
`KeySet1South`
`KeySet1SouthWest`
`KeySet1West`
`KeySet1Fire`
`KeySet1Fire2`
`KeySet1Fire3`

  Integers specifying the keycodes for keyset 1 (all emulators except vsid).

`KeySet2NorthWest`
`KeySet2North`
`KeySet2NorthEast`
`KeySet2East`
`KeySet2SouthEast`
`KeySet2South`
`KeySet2SouthWest`
`KeySet2West`
`KeySet2Fire`
`KeySet2Fire2`
`KeySet2Fire3`

  Integers specifying the keycodes for keyset 2 (all emulators except vsid).

`KeySetEnable`

  Boolean that specifies whether user defined keysets are enabled (all emulators except vsid).

`KbdbufDelay`

  Integer specifying the additional keyboard delay. (0: use default)

#### 6.7.2 Joystick command-line options

`-joydev1 <range>`
`-joydev2 <range>`

  Set the device for joystick emulation of port 1 and 2, respectively. (`JoyDevice1`, `JoyDevice2`). The range for OS/2 is, valid numbers in the range are 0, 1, 2, 4, 8 and 16.

`-extrajoydev1 <0-8>`
`-extrajoydev2 <0-8>`
`-extrajoydev3 <0-8>`

  Set device for extra joystick port 1, 2 and 3.

`-joyopposite`
`+joyopposite`

  Enable/disable opposite joystick directions (`JoyOpposite=1`, `JoyOpposite=0`). (all emulators except vsid)

`-userportjoy`
`+userportjoy`

  Enable/disable extra joystick(s) (`UserportJoy=1`, `UserportJoy=0`). (all emulators except xcbm5x0 and vsid).

`-userportjoytype <Type>`

  Set extra joystick type (`UserportJoyType`) (all emulators except xcbm5x0 and vsid). (0: Classical Games/Protovision, 1: PET, 2: Hummer, 3: OEM, 4: Digital Excess/Hitmen, 5: Kingsoft, 6: Starbyte) 4, 5 and 6 are x64, x64sc, xscpu64 and x128 only.

`-mouse`
`+mouse`

  Enable/Disable mouse grab

`-smartmousertcsave`
`+smartmousertcsave`

  Enable/Disable saving of the real time clock data for the SmartMouse

`-keyset`
`+keyset`

  Enable/disable user defined keyset (`KeySetEnable=1`, `KeySetEnable=0`) (all emulators except vsid).

`-keybuf-delay <value>`

  Set additional keyboard buffer delay (`KbdbufDelay`). (0: use default)

Previous: Control port resources, Up: Control port settings [Contents][Index]